/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IAppBarSearchAdapter } from './app-bar-search-adapter';
export interface IAppBarSearchFoundation extends ICustomElementFoundation {
    disabled: boolean;
    value: string;
    placeholder: string;
}
export declare class AppBarSearchFoundation implements IAppBarSearchFoundation {
    private _adapter;
    private _disabled;
    private _keydownListener;
    constructor(_adapter: IAppBarSearchAdapter);
    initialize(): void;
    private _tryForwardInputState;
    private _onKeydown;
    disconnect(): void;
    get disabled(): boolean;
    set disabled(value: boolean);
    get value(): string;
    set value(value: string);
    get placeholder(): string;
    set placeholder(value: string);
}
